%global npm_name patternfly-react-extensions

Name: nodejs-patternfly-react-extensions
Version: 2.18.8
Release: 1%{?dist}
Summary: This library provides an extended set of React components for use with the PatternFly reference implementation
License: MIT
Group: Development/Libraries
URL: https://github.com/patternfly/patternfly-react/blob/master/packages/patternfly-react-extensions/README.md
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
Requires: npm(breakjs) >= 1.0.0
Requires: npm(breakjs) < 2.0.0
Requires: npm(classnames) >= 2.2.5
Requires: npm(classnames) < 3.0.0
Requires: npm(css-element-queries) >= 1.0.1
Requires: npm(css-element-queries) < 2.0.0
Requires: npm(patternfly) >= 3.58.0
Requires: npm(patternfly) < 4.0.0
Requires: npm(patternfly-react) >= 2.34.1
Requires: npm(patternfly-react) < 3.0.0
Requires: npm(react-bootstrap) >= 0.32.1
Requires: npm(react-bootstrap) < 0.33.0
Requires: npm(react-click-outside) >= 3.0.1
Requires: npm(react-click-outside) < 4.0.0
Requires: npm(react-diff-view) >= 1.8.1
Requires: npm(react-diff-view) < 2.0.0
Requires: npm(react-ellipsis-with-tooltip) >= 1.0.8
Requires: npm(react-ellipsis-with-tooltip) < 2.0.0
Requires: npm(react-virtualized) >= 9.0.0
Requires: npm(react-virtualized) < 10.0.0
Requires: npm(unidiff) >= 1.0.1
Requires: npm(unidiff) < 2.0.0
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch

%description
%{summary}

%prep
%setup -q -n package

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr dist %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%check
%{nodejs_symlink_deps} --check

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc CHANGELOG.md
%doc README.md

%changelog
* Thu May 16 2019 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> 2.18.8-1
- Add nodejs-patternfly-react-extensions generated by npm2rpm using the single strategy

